%global pypi_name responses

# missing pkgs types-pyyaml and types-requests
%bcond_with check

Name:           python-%{pypi_name}
Version:        0.25.6
Release:        %mkrel 1
Summary:        A utility library for mocking out the `requests` Python library
License:        ASL 2.0
Group:          Development/Python
URL:            https://pypi.org/project/responses/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
A utility library for mocking out the requests Python library.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
A utility library for mocking out the requests Python library.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x tests}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files responses

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Feb 26 2025 wally <wally> 0.25.6-1.mga10
+ Revision: 2152968
- new version 0.25.6
- rebuild for python3.13

* Tue Jul 02 2024 papoteur <papoteur> 0.25.3-1.mga10
+ Revision: 2078849
- new version 0.25.3

* Sat Jan 27 2024 wally <wally> 0.24.1-1.mga10
+ Revision: 2035425
- new version 0.24.1

* Fri Dec 08 2023 wally <wally> 0.21.0-2.mga10
+ Revision: 2015668
- rebuild for py3.12

* Wed Sep 07 2022 neoclust <neoclust> 0.21.0-1.mga9
+ Revision: 1885226
- New version  0.21.0

* Wed Mar 30 2022 umeabot <umeabot> 0.18.0-2.mga9
+ Revision: 1833848
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.18.0-1.mga9
+ Revision: 1782716
- version 0.18.0
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.13.1-1.mga9
+ Revision: 1705557
- new version 0.13.1

* Fri Dec 18 2020 joequant <joequant> 0.12.1-1.mga8
+ Revision: 1660826
- update to 0.12.1

* Thu Jun 04 2020 joequant <joequant> 0.10.14-1.mga8
+ Revision: 1590201
- imported package python-responses

